/oidc/trust-relationships/{id}Ask AIput https://app.fossa.com/api/oidc/trust-relationships/{id}Update an existing OIDC Trust Relationship (only audiences and requiredClaims can be updated)Path ParamsidintegerrequiredThe ID of the OIDC Trust Relationship to updateBody Paramsaudiencesarray of stringslength between 1 and 100Array of valid audiences for this trust relationshipaudiences stringADD stringrequiredClaimsarray of objectslength ≥ 1Array of claim objects. Must contain at least one object with claim: "sub". Additional objects with other claims are optional.requiredClaims objectclaimstringrequiredThe claim type identifiervaluestringnumberbooleanrequiredThe claim valuehasWildcardsbooleanDefaults to falseWhether this claim supports wildcard matching. Defaults to false. If true, then the following characters in value are treated as special characters: ? matches exactly one character * matches zero or more characters \ escapes the following character truefalseADD objectResponses 200Successfully updated OIDC Trust Relationship 400Bad Request 401Unauthorized 403Forbidden 404OIDC Trust Relationship not found 500Server ErrorUpdated 6 months ago